- Qt 5.15
- Qt Sensors
- C++ Classes
- QTiltReading
- Qt 5.15.11 Reference Documentation

# QTiltReading Class

The QTiltReading class holds readings from the tilt sensor. More...

Header: | #include <QTiltReading>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensorReading

This class was introduced in Qt 5.1.

- List of all members, including inherited members

## Properties

- xRotation : const qreal
- yRotation : const qreal

## Public Functions

void | setXRotation(qreal x)
void | setYRotation(qreal y)
qreal | xRotation() const
qreal | yRotation() const

## Detailed Description

The tilt sensor reports the angle of tilt in degrees of the device along the X and Y plane.

## Property Documentation

### xRotation : const qreal

This property holds the amount of tilt on the X axis.

Access functions:

qreal | xRotation() const

### yRotation : const qreal

This property holds the amount of tilt on the Y axis.

Access functions:

qreal | yRotation() const

## Member Function Documentation

### void QTiltReading::setXRotation(qreal x)

Sets xRotation to x.

See also xRotation().

### void QTiltReading::setYRotation(qreal y)

Sets yRotation to y.

See also yRotation().